name: knative-service
services:
  NodeGroupInventoryWallet:
    name: NodeGroupInventoryWallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - knative-service-dwqhh
    traits:
      meshmap:
        edges: []
        id: 13061b72-f381-4a17-8d3e-9b9da632f31c
        label: NodeGroupInventoryWallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Meshery Core
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: 3e2db384-d3af-5fac-8af2-684fc3c29446
          metadata:
            isAnnotation: false
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          model:
            version: 0.7.1
          name: meshery-core
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: App Definition and Development
          version: v1.0.0
        meshmodel-metadata:
          capabilities: |-
            {
              "designer": {
                "pass-events-to": "parent",
                "edit": {
                  "config": false,
                  "copy": false,
                  "delete": false,
                  "duplicate": false,
                  "reset-styles": false,
                  "resolve": false,
                  "lock": false,
                  "shape": {
                    "convert-shape": false
                  },
                  "style": false
                },
                "label": {
                  "edit": false,
                  "show": false,
                  "sync-with-config-property": "none"
                }
              }
            }
          defaultData: '{"label":""}'
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0.1,"data":{"label":""}}'
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: ad72fab1-e361-4118-bf80-ad1ab3200c41
        position:
          posX: 30
          posY: 30
        whiteboardData: {}
  knative-service-dwqhh:
    name: knative-service
    type: Deployment
    apiVersion: apps/v1
    namespace: knative-serving
    version: v1.25.2
    model: kubernetes
    labels:
      app: ' knative-service'
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            newKey: New Value
        template:
          spec:
            containers:
            - name: ""
    traits:
      meshmap:
        edges: []
        id: ad72fab1-e361-4118-bf80-ad1ab3200c41
        label: Deployment
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Kubernetes
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: a5d424b9-55b1-5767-a451-a250c4098685
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          model:
            version: v1.25.2
          name: kubernetes
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: ""
          version: v1.0.0
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            background-opacity: 0.5
            border-width: 2
            z-index: 11
          styles: '{"border-width":2,"background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/deployment-white.svg
        position:
          posX: 30
          posY: 30
        whiteboardData: {}
  knative-service-rtdjv:
    name: knative-service
    type: Service
    apiVersion: v1
    namespace: knative-serving
    version: v1.25.2
    model: kubernetes
    labels:
      app: knative-service
    settings:
      spec:
        ports:
        - node Port: 0
          port: 80
          protocol: TCP
          target Port: 8080
        selector:
          app: knative-service
    traits:
      meshmap:
        edges: []
        id: da423578-f98a-4c81-a09d-4ae57434dc83
        label: Service
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Kubernetes
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: a5d424b9-55b1-5767-a451-a250c4098685
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          model:
            version: v1.25.2
          name: kubernetes
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: ""
          version: v1.0.0
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            background-position-y: 4.5
            height: 20
            padding: 12
            width: 20
            x: 10px
            "y": 12px
            z-index: 12
          styles: '{"height":20,"width":20,"padding":12,"background-position-y":4.5,"x":"10px","y":"12px"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/service-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/service-white.svg
        position:
          posX: -130
          posY: 10
        whiteboardData: {}
  knative-service-xctsd:
    name: knative-service
    type: Service
    apiVersion: serving.knative.dev/v1
    namespace: knative-serving
    version: 1.0.1
    model: knative-serving
    labels:
      app: knative-service
    settings:
      spec:
        template:
          spec:
            container Concurrency: 8080
            containers: []
            host Aliases: []
            image Pull Secrets: []
            init Containers: []
            tolerations: []
            topology Spread Constraints: []
            volumes: []
        traffic: []
    traits:
      meshmap:
        edges: []
        id: 53d5958c-22fd-4aa3-9ff6-a61d0fbc3fd3
        label: Service
        meshmodel-data:
          category:
            metadata: null
            name: Serverless
          components: null
          description: ""
          displayName: Knative Serving
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: 1ad736f9-f430-582f-911a-90405a87fbca
          metadata:
            isAnnotation: false
            subCategory: Installable Platform
            svgColor: ui/public/static/img/meshmodels/knative/color/knative-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/knative/white/knative-white.svg
          model:
            version: 1.0.1
          name: knative-serving
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: Installable Platform
          version: v1.0.0
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isNamespaced: true
          primaryColor: '#0865ad'
          secondaryColor: '#4DAAF2'
          shape: circle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            z-index: 13
          styles: ""
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/knative/color/apiserversource-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/knative/white/apiserversource-white.svg
        position:
          posX: -70
          posY: 10
        whiteboardData: {}
